ag-grid-angular.ri {
  overflow-y: auto;
  border: none;
  border-radius: 5px;
  font-weight: 400;
  height: 100%;
}

.ri .ag-center-cols-viewport {
  overflow-x: hidden;
}

.ri.ag-theme-balham {
  background-color: transparent;
  border-top: solid 1px $white-lightest;
}

.ri.ag-theme-balham [class^='ag-'] {
  background-color: transparent;
}

.ri.ag-theme-balham .ag-header-cell {
  font-family: hci-font;
  background-color: transparent;
}

.ri.ag-theme-balham .ag-header {
  font-family: hci-font;
  background-color: transparent;
}

.ri.ag-theme-balham .ag-ltr .ag-cell {
  font-family: hci-font;
  border-left: 0.1px solid transparent !important;
  border-top: 0.1px solid transparent !important;
  border-bottom: 0.1px solid transparent !important;
  border-right: 0.1px solid #B7C5CC !important;
  /*color: $grey-darker;*/
  font-size: 0.8rem;
  text-align: left;
  justify-content: left;
  line-height: 2;
}

.ag-theme-balham .ag-row {
  color: $grey-darkest;
}

.ri.ag-theme-balham .ag-ltr .ag-header-cell {
  color: $grey-darkest;
  font-size: 0.7rem;
  background-color: transparent;

  &::after {
    background-color: $greywarm-lighter;
    height: 100%;
  }
}

.ri.ag-theme-balham .ag-header-cell-label {
  justify-content: center;
}

.ri.ag-theme-balham .ag-root-wrapper {
  border: none !important;
}

.ri.ag-theme-balham .ag-row-hover {
  background-color: $bluewarmvividfade-lighter !important;
}

.ri.ag-theme-balham .ag-cell-focus {
  border-color: transparent;
}

.ri.ag-theme-balham .ag-row-selected {
  background-color: $bluewarmvivid-lighter !important;
  color: $white-darkest;
  font-weight: 700;
}

.ri.ag-theme-balham .ag-row-odd {
  background-color: rgba(243, 243, 243, 0.5);
}

.ri.ag-theme-balham .ag-row-even {
  background-color: $white-lightest;
}

/* fix scrollbar position on empty grids */
.ri.ag-theme-balham .ag-layout-auto-height {
  height: 100%;
}

.ri .hideSingleColumnHeader .ag-header {
  display: none;
}

.ag-popup-child {
  background: white !important;
}
